summaryrefslogtreecommitdiffstats
path: root/libraries/pgtcl-ng
diff options
context:
space:
mode:
author Richard Ellis2010-05-12 23:31:00 +0200
committer David Somero2010-05-12 23:31:00 +0200
commit5109825b1d87a3a39766919f5f8f6af800f019f2 (patch)
tree2c634340088b863d81549d539e0e6fcc484175ac /libraries/pgtcl-ng
parentf3d88a1ceef033e5227abbf9f40c1f93f82855c8 (diff)
downloadslackbuilds-5109825b1d87a3a39766919f5f8f6af800f019f2.tar.gz
libraries/pgtcl-ng: Added to 12.2 repository
Diffstat (limited to 'libraries/pgtcl-ng')
-rw-r--r--libraries/pgtcl-ng/README5
-rw-r--r--libraries/pgtcl-ng/pgtcl-ng.SlackBuild81
-rw-r--r--libraries/pgtcl-ng/pgtcl-ng.info8
-rw-r--r--libraries/pgtcl-ng/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/pgtcl-ng/README b/libraries/pgtcl-ng/README
new file mode 100644
index 0000000000..5f5228875a
--- /dev/null
+++ b/libraries/pgtcl-ng/README
@@ -0,0 +1,5 @@
+PostgreSQL Tcl Interface Next-Generation (pgtcl-ng) is a loadable Tcl/Tk
+module for accessing PostgreSQL databases. It extends the pre-8.0 libpgtcl
+from an early Pgtcl release and from the companion project pgintcl.
+
+Note: Requires PostgreSQL available from slackbuilds.org.
diff --git a/libraries/pgtcl-ng/pgtcl-ng.SlackBuild b/libraries/pgtcl-ng/pgtcl-ng.SlackBuild
new file mode 100644
index 0000000000..fd520c1044
--- /dev/null
+++ b/libraries/pgtcl-ng/pgtcl-ng.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for pgtcl-ng
+
+# Written by Richard Ellis (rellis@dp100.com)
+
+# Released into the public domain June 12, 2009
+
+PRGNAM=pgtcl-ng
+VERSION=${VERSION:-1.6.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/pgtcl$VERSION.tar.gz
+# the source tarball unpacks into a dir named pgtcl1.6.2, change that to
+# pgtcl-ng-1.6.2, this avoids having to make many mods to the buildscript to
+# handle the differences
+mv pgtcl1.6.2 pgtcl-ng-1.6.2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# tarball install script creates an empty usr/bin directory, remove it now
+rmdir $PKG/usr/bin
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/pgtcl-ng/pgtcl-ng.info b/libraries/pgtcl-ng/pgtcl-ng.info
new file mode 100644
index 0000000000..9a14d148dd
--- /dev/null
+++ b/libraries/pgtcl-ng/pgtcl-ng.info
@@ -0,0 +1,8 @@
+PRGNAM="pgtcl-ng"
+VERSION="1.6.2"
+HOMEPAGE="http://pgfoundry.org/projects/pgtclng/"
+DOWNLOAD="http://pgfoundry.org/frs/download.php/1545/pgtcl1.6.2.tar.gz"
+MD5SUM="abf26e3cd7f8229f468045ed1fb7e748"
+MAINTAINER="Richard Ellis"
+EMAIL="rellis@dp100.com"
+APPROVED="dsomero"
diff --git a/libraries/pgtcl-ng/slack-desc b/libraries/pgtcl-ng/slack-desc
new file mode 100644
index 0000000000..764402398b
--- /dev/null
+++ b/libraries/pgtcl-ng/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+pgtcl-ng: Pgtcl-ng (Tcl/Tk module for accessing PostgreSQL databases)
+pgtcl-ng:
+pgtcl-ng: It extends the pre-8.0 libpgtcl from an early Pgtcl release and
+pgtcl-ng: from the companion project pgintcl.
+pgtcl-ng:
+pgtcl-ng: http://pgfoundry.org/projects/pgtclng/
+pgtcl-ng:
+pgtcl-ng:
+pgtcl-ng:
+pgtcl-ng:
+pgtcl-ng: